<template>
  <div class="page">
    <div class="list">
      <div class="list_box">
        <div class="item_1_box">
          <div class="rectangle"></div>
          <div class="item_1">申请时间：{{ data.paymentTime }}</div>
        </div>
        <div class="item_2_box">
          <div class="item_2">
            申请人：<span>{{ data.paymentMemberName }}</span>
          </div>
          <div class="item_2">
            出生日期：<span>{{ data.birthdate }}</span>
          </div>
          <div class="item_2">
            新生犬登记卡编号：<span>{{ data.birthCode }}</span>
          </div>
          <div class="item_2">
            血统证书号：<span>{{ data.pedigreeCertifiedCode }}</span>
          </div>
          <div class="item_2">
            父犬主：<span>{{ data.fdogMemberName }}</span>
          </div>
          <div class="item_2">
            父犬主审核人：<span>{{ data.fdogReviewUser }}</span>
          </div>
          <div class="item_2">
            父犬证书号：<span>{{ data.fdogPedigreeCertified }}</span>
          </div>
          <div class="item_2">
            父犬主审核状态：
            <span v-if="data.fdogReviewState == 0">待审核</span>
            <span v-if="data.fdogReviewState == 1">同意</span>
            <span v-if="data.fdogReviewState == 2">不同意</span>
          </div>
          <div class="item_2" v-if="data.fdogReviewState == 2">
            父犬主不通过原因：<span>{{ data.fdogReviewRemarks }}</span>
          </div>
          <div class="item_2">
            母犬主：<span>{{ data.mdogMemberName }}</span>
          </div>
          <div class="item_2">
            母犬主审核人：<span>{{ data.mdogReviewUser }}</span>
          </div>
          <div class="item_2">
            母犬证书号：<span>{{ data.mdogPedigreeCertified }}</span>
          </div>
          <div class="item_2">
            母犬主审核状态：
            <span v-if="data.mdogReviewState == 0">待审核</span>
            <span v-if="data.mdogReviewState == 1">同意</span>
            <span v-if="data.mdogReviewState == 2">不同意</span>
          </div>
          <div class="item_2" v-if="data.mdogReviewState == 2">
            母犬主不通过原因：<span>{{ data.mdogReviewRemarks }}</span>
          </div>
          <div class="item_2">
            配种证明编号：<span>{{ data.fmdogBreedCertifiedCode }}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { goleenDetail } from "@/request/api";
import { Toast } from "vant";
export default {
  data() {
    return {
      id: this.$route.query.id,
      data: {}
    };
  },
  mounted() {
    this.getDetail()
  },
  methods: {
    getDetail(){
      Toast.loading({
        message: "加载中...",
        forbidClick: true,
        duration: 0,
      });
      goleenDetail( {
        id: this.id
      } ).then((res) => {
        if (res.rc == "0") {
          this.data = res.data
        } else {
          Toast(res.msg);
        }
      }); 
    }
  },
};
</script>

<style scoped>
.page {
  min-height: 100vh;
  background-color: #f5f5f5;
}
.list {
  padding: .2rem;
}
.list_box {
  border-radius: 0.1rem;
  background: #fff;
}


.list_box .item_1_box {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: .3rem;
  font-size: .32rem;
  line-height: .45rem;
  font-weight: 500;
  color: #333333;
  background: url(../../assets/golden_title.png) center center no-repeat;
  background-size: 100% 100%;
}
.list_box .item_1 {
  width: 100%;
  font-size: 0.28rem;
  line-height: 0.4rem;
  color: #0a2433;
}

.item_2_box{
  padding: .25rem .3rem;
}
.list_box .item_2_box .item_2 {
  font-size: 0.26rem;
  color: #999999;
  line-height: .7rem;
}
.list_box .item_2_box .item_2 span{
  color: #333;
}
</style>